> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Account transactions

> Get account transactions by date. Maximum 1000 rows per request. Without the cursor query parameter, the response is the first 1000 records. Paginate with optional cursor.



## OpenAPI

````yaml GET /transactions
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /transactions:
    get:
      description: >-
        Get account transactions by date. Maximum 1000 rows per request. Without
        the cursor query parameter, the response is the first 1000 records.
        Paginate with optional cursor.
      parameters:
        - in: query
          name: date
          description: The date to filter transactions
          schema:
            type: string
            example: 31-07-2024
          required: true
        - in: query
          name: cursor
          description: >-
            Last transaction id from the previous page; returns rows with id
            greater than this value. Omit for the first page.
          required: false
          schema:
            type: string
            format: uuid
        - in: query
          name: brand_id
          description: The brand id to filter transactions
          schema:
            type: string
            nullable: true
        - in: query
          name: reward_id
          description: The reward id to filter transactions
          schema:
            type: string
            format: uuid
        - in: query
          name: campaign_id
          description: The campaign id to filter transactions
          schema:
            type: string
            format: uuid
            nullable: true
        - in: query
          name: event_id
          description: The event id to filter transactions
          schema:
            type: string
            format: uuid
            nullable: true
        - in: query
          name: type
          description: The type of the transaction
          schema:
            type: string
            enum:
              - ACCUMULATION
              - REDEMPTION
              - EXPIRATION
              - MIGRATION
              - TRANSFER
              - REVERSAL
        - in: query
          name: funded_by
          description: The funder of the transactions
          schema:
            type: string
            example: MARKETING
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Transaction'
                  cursor:
                    type: string
                    format: uuid
                    nullable: true
                    description: >-
                      Id of the last transaction in this page (use as cursor on
                      the next request); null if data is empty
                  count:
                    type: number
                    example: 42
                    description: >-
                      Total number of transactions matching the day and filters
                      (not only this page)
components:
  schemas:
    Transaction:
      type: object
      properties:
        id:
          type: string
          description: The transaction internal unique identifier
          format: uuid
        brand_id:
          type: string
          description: The brand id of the transaction
          nullable: true
        event_id:
          type: string
          description: The id of the event the created the transaction
          format: uuid
          nullable: true
        campaign_id:
          type: string
          description: The id of the campaign that created the transaction
          format: uuid
          nullable: true
        channel_id:
          type: string
          description: The id of the channel that created the transaction
          format: uuid
          nullable: true
        store_id:
          type: string
          description: The id of the store that created the transaction
          format: uuid
          nullable: true
        funded_by:
          type: string
          description: Who funded the rewards used in this transaction
          nullable: true
          example: MARKETING
        event_type:
          type: string
          description: The type of the event that created the transaction
          example: PURCHASE
        reward_type:
          type: string
          description: The type of the reward used in the transaction
          enum:
            - POINTS
            - DISCOUNT
            - GIFT_CARD
            - PRODUCT
        reward_id:
          type: string
          description: The reward id of the transaction
          format: uuid
        amount:
          type: number
          description: The amount of the transaction
        cost:
          type: number
          description: The cost of the rewards used in the transaction
          nullable: true
        details:
          type: string
          description: The explanation of why transaction was created
        type:
          type: string
          description: The type of the transaction
          enum:
            - ACCUMULATION
            - REDEMPTION
            - EXPIRATION
            - MIGRATION
            - TRANSFER
            - REVERSAL
        receiver_id:
          type: string
          description: The receiver id of the transaction
        sender_id:
          type: string
          description: The sender id of the transaction
        created_at:
          type: string
          description: The date when the transaction was created
          format: date-time
        issued_at:
          type: string
          description: The date when the transaction was issued
          format: date-time
        attributes:
          type: object
          description: The attributes of the transaction
          required:
            - line
          properties:
            line:
              $ref: '#/components/schemas/Line'
              description: The line used to create the transaction
              nullable: true
            campaign_name:
              type: string
              description: The name of the campaign that created the transaction
        metadata:
          type: object
          description: The metadata of the transaction
    Line:
      type: object
      properties:
        amount:
          type: number
          description: The amount of the line
        reward_id:
          type: string
          description: The reward id of the line
          format: uuid
        campaign_id:
          type: string
          description: The campaign id of the line
          format: uuid
          nullable: true
        brand_id:
          type: string
          description: The id of the brand that originated the line
          format: uuid
          nullable: true
        issued_at:
          type: string
          description: The date when the line was issued
          format: date-time
        expiration_date:
          type: string
          description: The expiration date of the line
          format: date-time
        reservation_expires_at:
          type: string
          description: The reservation expiration date of the line
          format: date-time
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````